Prima::ExtLists - extended functionality for list boxes The module is intended to be a collection of list boxes with particular enhancements. Currently the only package is contained is Prima::CheckList class. Provides a list box, where each item is equipped with a check box. The check box state can interactively be toggled by the enter key; also the list box reacts differently by click and double click.

Properties
Runtime only. Sets INDEXth button STATE to 0 or 1. If STATE is -1, the button state is toggled. Returns the new state of the button. VEC is a vector scalar, where each bit corresponds to the check state of each list box item. See also: the vec entry in the perlfunc manpage.

Methods
Sets all buttons to state 0 Sets all buttons to state 1 Dmitry Karasik, <dmitry@karasik.eu.org>. the Prima manpage, the Prima::Lists manpage, examples/extlist.pl